[FFmpeg-devel] ffmpeg_vaapi: Enable decoding of VP9 profile 2

Submitted by Mark Thompson on Dec. 5, 2016, 9:55 p.m.

Details

Message ID f7d25949-b716-d80b-10a3-1a4986f6dcda@jkqxz.net
State New
Headers show

Commit Message

Mark Thompson Dec. 5, 2016, 9:55 p.m.
First released in libva 1.7.0 (0.39.0).  Also fix version requirement
of VP9 profile 0, which was first released in libva 1.6.0 (0.38.0).
---
Tested on Kaby Lake.

 ffmpeg_vaapi.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

Patch hide | download patch | download mbox

diff --git a/ffmpeg_vaapi.c b/ffmpeg_vaapi.c
index f1e7c76..b6bdeb9 100644
--- a/ffmpeg_vaapi.c
+++ b/ffmpeg_vaapi.c
@@ -177,9 +177,12 @@  static const struct {
 #if VA_CHECK_VERSION(0, 35, 0)
     MAP(VP8,         UNKNOWN,       VP8Version0_3 ),
 #endif
-#if VA_CHECK_VERSION(0, 37, 1)
+#if VA_CHECK_VERSION(0, 38, 0)
     MAP(VP9,         VP9_0,           VP9Profile0 ),
 #endif
+#if VA_CHECK_VERSION(0, 39, 0)
+    MAP(VP9,         VP9_2,           VP9Profile2 ),
+#endif
 #undef MAP
 };